/* Jurideko AB / Ekonomiskplan */

/* ==========================================================================
Generellt
========================================================================== */
:root {
	/* 	Colors */
	--primary-color: 167, 97, 57;
	--black-color: 34, 34, 34;
	--gray-dark-color: 51, 51, 51;
	--gray-color: 97, 97, 97;
	--white-color: 255, 255, 255;

	/* 	Layout  */
	--col-padding: 3rem;
	--menu-height: 6.5rem;
	--menu-height-scrolled: 6.5rem;
	--section-width: 140rem;

	/* 	Typography */
	--base-size: 1.8rem;
}


/* Layout
========================================================================== */
.section-block {
	padding: 10rem 5rem;
}

/* Paddings */
.p-2 .section-block,
.p-2:not(.section-wrapper) {
	padding: 2rem;
}

/* Margins */
.mt-2 {
	margin-top: 2rem;
}

.mb-3 {
	margin-bottom: 3rem;
}

/* Ovriga klasser */
@media only screen and (max-width: 1024px) {
	.section-block {
		padding: 8rem 3rem;
	}
}

@media only screen and (max-width: 580px) {
	.section-block {
		padding: 5rem 2rem;
	}
}

/* Text och typsnitt
========================================================================== */
body {
	font-family: 'Lato', sans-serif;
}

/* Rubriker */
.text-label {
	padding-bottom: 1em;
	font-size: 2rem;
	font-weight: 300;
	font-family: 'Playfair Display', sans-serif;
	color: rgb(var(--gray-dark-color));
}

.section-title {
	padding-bottom: .5em;
	font-size: 4rem;
	font-weight: 500;
	line-height: 1.3;
	letter-spacing: 0.1em;
	font-family: 'Playfair Display', sans-serif;
	color: rgb(var(--gray-dark-color));
}

/* Brodtext och lankar */
p,
li,
a {
	line-height: 1.6;
	font-weight: 300;
	color: rgb(var(--gray-color));
}

/* Ovriga klasser */

.text-bold {
	font-weight: 500;
}

@media only screen and (max-width: 1200px) {

	/* Rubriker */
	.section-title {
		font-size: 3.8rem;
	}
}

@media only screen and (max-width: 580px) {

	/* Rubriker */
	.section-title {
		font-size: 2.5rem;
	}
}

/* Farger
========================================================================== */
/* Bakgrunder */
.bg-white {
	background-color: rgb(var(--white-color));
}

/* Bakgrundsbilder och videos
========================================================================== */
/* Parallax */
.parallax {
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	background-attachment: fixed;
}

.parallax-lagenheter {
	background-image:
		linear-gradient(90deg,
			rgba(var(--white-color), 1) 0%,
			rgba(var(--white-color), 1) 35%,
			rgba(var(--white-color), 0) 35%,
			rgba(var(--white-color), 0) 100%),
		url('/assets/images/lagenheter-2000px.jpg');
}

@media only screen and (hover:none) {
	.parallax {
		background-attachment: scroll;
		background-position: center center;
	}
}

/* Split wrapper
========================================================================== */
.split-wrapper {
	display: flex;
	flex-wrap: wrap;
}

.split-wrapper.reverse {
	flex-direction: row-reverse;
}

.split-content {
	width: 50%;
	padding: 5rem;
}

.split-image {
	width: 50%;
}

/* Centrera content */
.split-wrapper .align-center {
	align-self: center;
}

@media screen and (max-width: 1100px) {
	.split-content {
		width: 100%;
	}

	.split-image {
		width: 100%;
		min-height: 20rem;
	}
}

@media screen and (max-width: 580px) {
	.split-wrapper {
		background: transparent;
	}

	.split-content {
		padding: 0 0 3rem 0;
	}
}


/* Header / Navigation
========================================================================== */
header {
	box-shadow: 0px -2px 1rem rgba(var(--black-color), 0.3);
}

header:not(.scrolled) {
	box-shadow: none;
}

header:not(.scrolled, .mobile-menu) {
	border-color: transparent;
	background-color: transparent;
}

header:not(.mobile-menu) .container {
	height: var(--menu-height);
}

/* Logo */
.header-logo {
	flex: 1 1 0px;
}

header:not(.scrolled, .mobile-menu) .header-logo img {
	padding: 1.5rem 0;
	transition: 0.5s ease-in-out;
}

header:not(.mobile-menu) .header-logo {
	align-self: flex-start;
}

header:not(.scrolled, .mobile-menu) .header-logo img {
	max-height: 9.5rem;
}

/* Mobilmeny */
.mobile-menu .hamburger {
	display: none;
}

/* ==========================================================================
Startsida
========================================================================== */

/* Top-section
========================================================================== */
.top-section {
	display: flex;
	align-items: center;
	min-height: 100vh;
	margin-top: calc(var(--menu-height) * -1);
}

.top-section .section-block {
	width: 100%;
	padding-right: 0;
}

.top-section .text-block {
	max-width: 91rem;
	padding: 6rem;
}

.top-section .section-title {
	font-size: 6.8rem;
	padding-bottom: 4rem;
}

.top-section p {
	text-transform: uppercase;
	letter-spacing: 0.3em;
	font-size: 2rem;
	line-height: 1.9;
	padding-bottom: 3.5rem;
}

.top-section .arrow-link {
	font-size: 1.4rem;
}

@media only screen and (max-width: 1400px) {
	.top-section .section-title {
		font-size: 6rem;
	}

	.top-section p {
		font-size: 1.7rem;
	}
}

@media only screen and (max-width: 1200px) {
	.top-section .text-block {
		max-width: 64rem;
		padding: 5rem;
	}

	.top-section .section-title {
		font-size: 5rem;
	}

	.top-section p {
		font-size: 1.6rem;
	}
}

@media only screen and (max-width: 700px) {
	.top-section .text-block {
		padding: 4rem;
	}

	.top-section .section-title {
		font-size: 3rem;
	}
}

@media only screen and (max-width: 580px) {
	.top-section .text-block {
		max-width: 36rem;
		padding-left: 2rem;
	}

	.top-section .section-title {
		font-size: 2.7rem;
	}

	.top-section p {
		font-size: 1.5rem;
		letter-spacing: 0.1em;
	}
}


/* ==========================================================================
Footer
========================================================================== */
.footer {
	padding: 0 5rem;
	background-color: rgb(var(--gray-dark-color));
}

.footer-container {
	margin: 0 auto;
}

/* Footer top */
.footer-top {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	padding-top: 8rem;
	padding-bottom: 0;
}

.footer-menu {
	width: 20%;
	margin: 0 0 3rem;
	margin-bottom: 0;
}

.footer-submenu {
	padding: 0;
	margin: 0 0 3rem;
	list-style: none;
}

.footer-top p,
.footer-top a,
.footer-top li {
	font-size: 1.4rem;
	text-decoration: none;
	color: rgb(var(--white-color), .8);
	text-align: center;
	padding-bottom: 0;
}

.footer-top a:hover {
	color: rgb(var(--primary-color));
	text-decoration: none;
}

/* Footer bottom */
.footer-bottom {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 2rem 0;
	padding-top: 0;
}

.footer-bottom p,
.footer-bottom a {
	font-size: 1.3rem;
	line-height: 1.6;
	color: rgb(var(--white-color), .8);
}

.footer-bottom a:hover {
	color: rgb(var(--primary-color));
	text-decoration: none;
}

/* WebbEss Stamp */
.footer .webbess-stamp {
	display: flex;
	align-items: center;
	text-decoration: none;
	color: rgb(var(--white-color), .8);
}

.webbess-stamp img {
	width: 2.5rem;
	margin-left: 1rem;
	filter: invert();
	opacity: .6;
}

@media only screen and (max-width: 1200px) {
	.footer {
		padding: 0 3rem;
	}

	/* Footer top */
	.footer-menu {
		width: 33.333%;
	}
}

@media only screen and (max-width: 750px) {

	/* Footer top */
	.footer-menu {
		width: 100%;
		text-align: center;
	}

	.footer-menu img {
		max-width: 35rem;
		width: 100%;
	}
}

@media only screen and (max-width: 580px) {
	.footer {
		padding: 0 2rem;
	}

	/* Footer top */
	.footer-top {
		scroll-padding-top: 5rem;
	}

	/* Footer bottom */
	.footer-bottom {
		flex-direction: column-reverse;
		text-align: center;
	}

	.webbess-stamp {
		margin: 0 auto 2rem;
	}
}